PLE-CONFIG(1)

NAME
ple-config - Returns ple config arguments

SYNOPSIS
ple-config options scope

OPTIONS

--prefix
    installation path prefix

--exec-prefix
    system-dependent path prefix

--includedir
    C header files path

--version
    library version

--cppflags
    C preprocessor flags (e.g. -D<macro>, ...)

--cflags
    C flags (e.g. -O, -g, ...)

--ldflags
    linker flags (e.g. -g, -L<path>, ...)

--libs
    librairies used (e.g. -l<libname>)

--cc
    C compiler used for build

  Scope:

use (default)
    Options required for user code

build
    Options used for build

    mpi